View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
16638Bug reportsSurvey editingpublic2021-07-12 11:53
Reporterpalmin Assigned Togabrieljenik  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.3.5 
Summary16638: EXPIRY keyword does not work in Survey description
DescriptionSee https://forums.limesurvey.org/forum/installation-a-update-issues/122213-expiry-keyword-does-not-work-in-survey-description#204866

I wanted to show the expiration date which is set for the survey in the description that is shown to the users when starting the survey.

In the text editor for the Description field, it is possible to enter the keyword from the menu.

The problem is that when starting the survey, the description field does not expand the expiration date, but just shows a red EXPIRY label with a tooltip "Undefined variable":
Steps To Reproduce* Import attached lss file
* Start Survey
* Open Survey
* Check description
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)4.3.5
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionUnknown
Server OS (if known)
Webserver software & version (if known)
PHP VersionUnknown

Activities

palmin

palmin

2020-09-03 18:52

reporter  

DenisChenu

DenisChenu

2020-12-23 09:32

developer   ~61067

Unsure we need it ?
1. You edit text at same time than expiry date
2. Data muts be shown with specific language part : long day, long month etc …

Else : a plugin can easily add it : https://github.com/LimeSurvey/LimeSurvey/blob/6475d0cbc17d3f039398c256c5f0cac7d2569efc/application/core/plugins/expressionFixedDbVar/expressionFixedDbVar.php#L86
cdorin

cdorin

2021-02-01 16:03

manager   ~61848

Last edited: 2021-04-01 08:06

Hey there - could you please check if the issue persists in LS4.4 ?
c_schmitz

c_schmitz

2021-04-01 08:05

administrator   ~63770

Last edited: 2021-04-01 08:06

I can confirm that this worked in LS3 but does not work in the latest LS4 version.
gabrieljenik

gabrieljenik

2021-04-23 15:09

manager   ~64128

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1853

Forcing EM to refresh group on the welcome page.
gabrieljenik

gabrieljenik

2021-04-26 10:16

manager   ~64150

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31633
c_schmitz

c_schmitz

2021-07-12 11:53

administrator   ~65301

Release done.

Related Changesets

LimeSurvey: master fd3d53d0

2021-04-26 09:59:14

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16638: EXPIRY keyword does not work in survey description (#1853)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
16638
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2020-09-03 18:52 palmin New Issue
2020-09-03 18:52 palmin File Added: 2020-09-03 15_17_21-LimeSurvey.png
2020-09-03 18:52 palmin File Added: 2020-09-03 15_20_27-My Test Survey.png
2020-09-03 18:52 palmin File Added: limesurvey_survey_394968.lss
2020-12-22 17:33 cdorin Status new => confirmed
2020-12-22 17:33 cdorin Priority none => normal
2020-12-23 09:32 DenisChenu Note Added: 61067
2021-02-01 16:03 cdorin Status confirmed => feedback
2021-02-01 16:03 cdorin Note Added: 61848
2021-04-01 08:05 c_schmitz Assigned To => c_schmitz
2021-04-01 08:05 c_schmitz Status feedback => confirmed
2021-04-01 08:05 c_schmitz Note Added: 63770
2021-04-23 15:09 gabrieljenik Note Added: 64128
2021-04-26 10:16 gabrieljenik Changeset attached => LimeSurvey master fd3d53d0
2021-04-26 10:16 gabrieljenik Note Added: 64150
2021-04-26 10:16 gabrieljenik Assigned To c_schmitz => gabrieljenik
2021-04-26 10:16 gabrieljenik Resolution open => fixed
2021-04-29 14:27 gabrieljenik Status confirmed => resolved
2021-07-12 11:53 c_schmitz Note Added: 65301
2021-07-12 11:53 c_schmitz Status resolved => closed